import { useSidebarPage } from '@/business/app-shell/hooks';
import type { SidebarProps } from '@/business/app-shell/types';
import { SidebarView } from '@/components/sidebar/SidebarView';

const Sidebar = (props: SidebarProps) => {
  const page = useSidebarPage(props);

  return <SidebarView page={page} />;
};

export default Sidebar;
